slices
Get slices itemslist
Slice items (e.g. images from associated datasets)
GET
/
slices
/
{owner_name}
/
{slice_slug}
/
items
/
list
/
cURL
curl --request GET \
--url https://api.avala.ai/api/v1/slices/{owner_name}/{slice_slug}/items/list/ \
--header 'X-Avala-Api-Key: <api-key>'import requests
url = "https://api.avala.ai/api/v1/slices/{owner_name}/{slice_slug}/items/list/"
headers = {"X-Avala-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Avala-Api-Key': '<api-key>'}};
fetch('https://api.avala.ai/api/v1/slices/{owner_name}/{slice_slug}/items/list/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"key": "<string>",
"id": 123,
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset": "<string>",
"url": "<string>",
"gpu_texture_url": "<string>",
"thumbnails": [
"<string>"
],
"video_thumbnail": "<string>",
"metadata": {},
"export_snippet": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"crop_data": {
"crop_annotations_in_2d": [
{
"z": 123,
"classes": [
"<string>"
]
}
],
"crop_annotations_polygon_mask": [
[
123
]
]
},
"related_items": [
{
"sensor_id": "<string>",
"sensor_index": 123,
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"related_sequence_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next": "<string>",
"previous": "<string>"
}Authorizations
API_KeyJWT
API key for authentication. Generate one in Mission Control Settings > Security & Identity.
Query Parameters
Which field to use when ordering the results.
The pagination cursor value.
Number of results to return per page.
Sets the CursorPagination offset when cursor is also set. e.g. cursor=...&offset=1
Sets the CursorPagination reverse when cursor is also set. e.g. cursor=...&reverse=1.
Was this page helpful?
⌘I
cURL
